# Bitty's Challenges

This mod adds 12 new Challenges and 5 Anti-Challenges that you can select from when starting a new Kaycee's Mod run.

[P03_In_Kaycees_Mod Compatible!](https://inscryption.thunderstore.io/package/Infiniscryption/P03_In_Kaycees_Mod/)

Made by Bitty45 (discord: bitty45#5291), don't be afraid to ping me if you run into any errors!

### The following challenges are added:

- **Botched Experiments**: The Mycologists have a chance to make mistakes while fusing cards.
- **Aquatic Starters**: Starting deck will begin with Waterborne.
- **Weak Starters**: A returning challenge from the KCM beta, Starting deck cards have 1 less health.
- **Unspirited Starters**: Starting deck will begin with Weak Soul.
- **Shocked Starters**: Starting deck will begin with Paralysis. (cannot attack the first turn it is played)
- **Famine**: Sidedeck has 3 less cards. (configurable)
- **Sprintmageddon**: All drawn cards get a random Sprinter sigil variant.
- **Traveling Ouroboros**: Leshy gets his own Ouroboros that he can play against you.
- **Harder Bosses**: Makes bosses' cards more difficult, and makes them more agressive.
- **True Pirate**: Makes pirates invade other bosses, and makes the final boss challenge harder.
- **Environmental Effects**: At the start of each battle, a random environmental effect may activate.
- **Runaway Sidedeck**: Cards drawn from the side deck are discarded at the end of the turn.
- **Explosive Results**: Every card explodes when it dies, playing a loud boom sound.

### The following Anti-Challenges are added:

- **Old Fecundity**: Reverts the Fecundity Nerf.
- **Reverse Scales**: Adds 1 damage on the opponent's side.
- **Golden fleece**: Adds a roaming Golden Ram that you can kill for its pelt.
- **Extra Lives**: Functionally gives you extra lives.
- **Abundance**: Sidedeck has 5 more cards. (configurable)

### The following Starter Decks are added:

- **Minicello**: Minicello, Undead Parrot, Skeleton Crew

## Credits

Thanks to:

- Lily/Sylvie for the **Asleep** and **Warper** Sigils
- divisionbyzorro/infiniscryption for the **Curses mod** that I used to create **Traveling Ouro**
- amphany for the **Wooden Plank** card art
- Sire for the **Golden Ram** and **Sacrifices Slab** card art
- AllTheSigils for **Paralysis** Sigil concept
- SpecialAPI for **mergesigils** mod
- Degi & Liz45d from the Fanscryption server for **Environmental Effects** idea
- Degi for **Cliffs, Mushrooms, Pirates, Breeze, Swamp** boon backgrounds and **Cliffs** boon icon
- keks307 for **Mud, Shelter, Cliffs, Fungus, Avalanche** portraits
- Spooky B. for **Blood Moon** boon background and icon
- Makako for **Skeleton Crew** and **Undead Parrot** pixel portraits
- Sebastian for fleeting squirrels challenge icon base

## Requirements

As with most mods, you need [BepInEx](https://inscryption.thunderstore.io/package/BepInEx/BepInExPack_Inscryption/) installed. You also need the [API](https://inscryption.thunderstore.io/package/API_dev/API/).

## Changelog 4.0.0
- P03_In_Kaycees_Mod Compatibility!
- Abundance Anti-Challenge
- Explosive Results Challenge
- Runaway Sidedeck Challenge

<details>
<summary>Changelog</summary>

- 4.0.2: Fixed P03 run checker
- 4.0.1: fixed textures not being found
- 4.0.0: P03 KCM compatability, abundance, explosive results, runaway sidedeck
- 3.2.0: Harder Bosses, API update
- 3.1.2: Fixed Angler's Pond environment
- 3.1.1: Changed how Environments are handled, nerfed Totem environment
- 3.1.0: Replaced Brittle Starters, fixed fecund nerf dialogue
- 3.0.0: Environment Challenge, +16 Environments, replaced fatigued starters, new starter deck
- 2.1.0: Points readjustment, new dialogue, sigils showing up in the rulebook
- 2.0.0: 3 new challenges & 3 new Anti-Challenges, Encounters fixed (again)
- 1.0.2: Fixed Ouro
- 1.0.1: 7 Challenges & 1 Anti-Challenge

</details>